Subject: Re: Shell scripts?
From: Ian Zimmerman <[email-masked]>
To: Cygnus tools mailing list <[email-masked]>
Date: Mon, 24 May 1999 10:06:36 -0700

[email-masked] wrote:
> 
> Hello, I have been using this program for a while now and I cant seem to
> figure out how to run shell scripts. I want to run the configure script for
> Circle mud but it says "no such file or directory exists" does anyone have an
> idea?
> here is what the tutorial says:
> How to compile using Cygnus GNU-Win32 Tools:
> (Type green text as shown)
> 
> Get Cygnus completly installed.
> Start bash    (After installing GNU-Win32 there should be a shortcut to it in
> the start menu)
> When you first install Cygnus you will need to use this command in order for
> shell scripts to run properly, you only ever have to do this once:
> ln -s C:/CYGNUS/B19/H-I386~1/bin /bin
> Note: This may be different depending on your version of GNU-Win32, and if
> you installed to a different folder.
> While in the circle folder type:
> ./configure <----this is where the error is
> When it is done type:
> cd src
> make
> To run it, get into the circle folder again (cd .. if you just compiled it)
> ./autorun
> 

I have had the same problem on my FAT fs.  The reason is that FAT
doesn't have an executable permission bit, so Cygwin must rely on awful
hacks to guess if a file is executable.  Try "sh configure" instead, it
works for me.

-- 
Ian Zimmerman
Lightbinders, Inc.
2325 3rd Street #324, San Francisco, California 94107

--
Want to unsubscribe from this list?
Send a message to [email-masked]